# Uses of Interface
bsh.classpath.ClassPathListener

Packages that use ClassPathListener
Package
Description
bsh.classpath
bsh.util

## Uses of ClassPathListener in bsh.classpath

Classes in bsh.classpath that implement ClassPathListener
Modifier and Type
Class
Description
`class`
`BshClassPath`
A BshClassPath encapsulates knowledge about a class path of URLs.
Methods in bsh.classpath with parameters of type ClassPathListener
Modifier and Type
Method
Description
`void`
BshClassPath.`addListener(ClassPathListener l)`
`void`
BshClassPath.`removeListener(ClassPathListener l)`

## Uses of ClassPathListener in bsh.util

Classes in bsh.util that implement ClassPathListener
Modifier and Type
Class
Description
`class`
`ClassBrowser`
A simple class browser for the BeanShell desktop.